XviD-1.3.3

Introduction to XviD

XviD is an MPEG-4 compliant video CODEC.

This package is known to build and work properly using an LFS-7.5 platform.

Package Information

XviD Dependencies

Optional

yasm-1.2.0

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/xvid

Installation of XviD

[Note]

Note

This package tarball expands to xvidcore, not the expected xvidcore-1.3.3.

Install XviD by running the following commands:

cd build/generic &&
./configure --prefix=/usr &&
make

This package does not come with a test suite.

Now, as the root user:

sed -i '/libdir.*STATIC_LIB/ s/^/#/' Makefile &&
make install &&

chmod -v 755 /usr/lib/libxvidcore.so.4.3 &&
ln -v -sf libxvidcore.so.4.3 /usr/lib/libxvidcore.so.4 &&
ln -v -sf libxvidcore.so.4   /usr/lib/libxvidcore.so   &&

install -v -m755 -d /usr/share/doc/xvidcore-1.3.3/examples &&
install -v -m644 ../../doc/* /usr/share/doc/xvidcore-1.3.3 &&
install -v -m644 ../../examples/* \
    /usr/share/doc/xvidcore-1.3.3/examples

Command Explanations

sed -i '/libdir.*STATIC_LIB/ s/^/#/' Makefile: This command disables installing the static library.

ln -v -sf libxvidcore.so.4 /usr/lib/libxvidcore.so: This command makes applications linked against .so names, link to .so.<MAJOR>. This ensures better binary compatibility, as XviD developers take care not changing the <MAJOR> number until there is an incompatible ABI change.

Contents

Installed Programs: None
Installed Library: libxvidcore.so
Installed Directory: /usr/share/doc/xvidcore-1.3.3

Short Descriptions

libxvidcore.so

provides functions to encode and decode most MPEG-4 video data.

Last updated on 2014-04-15 16:37:13 +0000